Table of Contents

## Name

XtGetKeysymTable, XtKeysymToKeycodeList - query keysyms and keycodes

## Syntax

Keysym* XtGetKeysymTable(Display* display, KeyCode*
  min_keycode_return, int *keysyms_per_keycode_return);
void XtKeysymToKeycodeList(Display* display, KeySym keysym,
  KeyCode** keycodes_return, Cardinal* keycount_return);

## Arguments

Specifies the display whose table is required.

Returns the minimum KeyCode valid for the display.

Returns the number of KeySyms stored for each KeyCode.

Specifies the KeySym for which to search.

Returns a list of KeyCodes that have keysym associated with them, or NULL if keycount_return is 0.

Returns the number of KeyCodes in the keycode list.

## Description

XtGetKeysymTable returns a pointer to the Intrinsics' copy of the server's KeyCode-to-KeySym table. This table must not be modified.

The XtKeysymToKeycodeList procedure returns all the KeyCodes that have keysym in their entry for the keyboard mapping table associated with display. The caller should free the storage pointed to by keycodes_return using XtFree when it is no longer useful.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also